Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
0.0.0.0
Broadcast address
15.255.255.255
First usable
0.0.0.1
Last usable
15.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
A (default /8)
As numbers
Hex 00000000 · Integer 0 to 268435455
Reverse DNS zones
0.in-addr.arpa
1.in-addr.arpa
2.in-addr.arpa
3.in-addr.arpa
4.in-addr.arpa
5.in-addr.arpa
6.in-addr.arpa
7.in-addr.arpa
8.in-addr.arpa
9.in-addr.arpa
10.in-addr.arpa
11.in-addr.arpa
12.in-addr.arpa
13.in-addr.arpa
14.in-addr.arpa
15.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00000000.00000000.000000000.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network00000000.00000000.00000000.000000000.0.0.0
Broadcast00001111.11111111.11111111.1111111115.255.255.255
Split into smaller subnets/13

0.0.0.0/4 makes 512 subnets of /13; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.0.0.0/130.0.0.1 to 0.7.255.2540.7.255.255524,286
20.8.0.0/130.8.0.1 to 0.15.255.2540.15.255.255524,286
30.16.0.0/130.16.0.1 to 0.23.255.2540.23.255.255524,286
40.24.0.0/130.24.0.1 to 0.31.255.2540.31.255.255524,286
50.32.0.0/130.32.0.1 to 0.39.255.2540.39.255.255524,286
60.40.0.0/130.40.0.1 to 0.47.255.2540.47.255.255524,286
70.48.0.0/130.48.0.1 to 0.55.255.2540.55.255.255524,286
80.56.0.0/130.56.0.1 to 0.63.255.2540.63.255.255524,286
90.64.0.0/130.64.0.1 to 0.71.255.2540.71.255.255524,286
100.72.0.0/130.72.0.1 to 0.79.255.2540.79.255.255524,286
110.80.0.0/130.80.0.1 to 0.87.255.2540.87.255.255524,286
120.88.0.0/130.88.0.1 to 0.95.255.2540.95.255.255524,286
130.96.0.0/130.96.0.1 to 0.103.255.2540.103.255.255524,286
140.104.0.0/130.104.0.1 to 0.111.255.2540.111.255.255524,286
150.112.0.0/130.112.0.1 to 0.119.255.2540.119.255.255524,286
160.120.0.0/130.120.0.1 to 0.127.255.2540.127.255.255524,286
170.128.0.0/130.128.0.1 to 0.135.255.2540.135.255.255524,286
180.136.0.0/130.136.0.1 to 0.143.255.2540.143.255.255524,286
190.144.0.0/130.144.0.1 to 0.151.255.2540.151.255.255524,286
200.152.0.0/130.152.0.1 to 0.159.255.2540.159.255.255524,286
210.160.0.0/130.160.0.1 to 0.167.255.2540.167.255.255524,286
220.168.0.0/130.168.0.1 to 0.175.255.2540.175.255.255524,286
230.176.0.0/130.176.0.1 to 0.183.255.2540.183.255.255524,286
240.184.0.0/130.184.0.1 to 0.191.255.2540.191.255.255524,286
250.192.0.0/130.192.0.1 to 0.199.255.2540.199.255.255524,286
260.200.0.0/130.200.0.1 to 0.207.255.2540.207.255.255524,286
270.208.0.0/130.208.0.1 to 0.215.255.2540.215.255.255524,286
280.216.0.0/130.216.0.1 to 0.223.255.2540.223.255.255524,286
290.224.0.0/130.224.0.1 to 0.231.255.2540.231.255.255524,286
300.232.0.0/130.232.0.1 to 0.239.255.2540.239.255.255524,286
310.240.0.0/130.240.0.1 to 0.247.255.2540.247.255.255524,286
320.248.0.0/130.248.0.1 to 0.255.255.2540.255.255.255524,286
331.0.0.0/131.0.0.1 to 1.7.255.2541.7.255.255524,286
341.8.0.0/131.8.0.1 to 1.15.255.2541.15.255.255524,286
351.16.0.0/131.16.0.1 to 1.23.255.2541.23.255.255524,286
361.24.0.0/131.24.0.1 to 1.31.255.2541.31.255.255524,286
371.32.0.0/131.32.0.1 to 1.39.255.2541.39.255.255524,286
381.40.0.0/131.40.0.1 to 1.47.255.2541.47.255.255524,286
391.48.0.0/131.48.0.1 to 1.55.255.2541.55.255.255524,286
401.56.0.0/131.56.0.1 to 1.63.255.2541.63.255.255524,286
411.64.0.0/131.64.0.1 to 1.71.255.2541.71.255.255524,286
421.72.0.0/131.72.0.1 to 1.79.255.2541.79.255.255524,286
431.80.0.0/131.80.0.1 to 1.87.255.2541.87.255.255524,286
441.88.0.0/131.88.0.1 to 1.95.255.2541.95.255.255524,286
451.96.0.0/131.96.0.1 to 1.103.255.2541.103.255.255524,286
461.104.0.0/131.104.0.1 to 1.111.255.2541.111.255.255524,286
471.112.0.0/131.112.0.1 to 1.119.255.2541.119.255.255524,286
481.120.0.0/131.120.0.1 to 1.127.255.2541.127.255.255524,286
491.128.0.0/131.128.0.1 to 1.135.255.2541.135.255.255524,286
501.136.0.0/131.136.0.1 to 1.143.255.2541.143.255.255524,286
511.144.0.0/131.144.0.1 to 1.151.255.2541.151.255.255524,286
521.152.0.0/131.152.0.1 to 1.159.255.2541.159.255.255524,286
531.160.0.0/131.160.0.1 to 1.167.255.2541.167.255.255524,286
541.168.0.0/131.168.0.1 to 1.175.255.2541.175.255.255524,286
551.176.0.0/131.176.0.1 to 1.183.255.2541.183.255.255524,286
561.184.0.0/131.184.0.1 to 1.191.255.2541.191.255.255524,286
571.192.0.0/131.192.0.1 to 1.199.255.2541.199.255.255524,286
581.200.0.0/131.200.0.1 to 1.207.255.2541.207.255.255524,286
591.208.0.0/131.208.0.1 to 1.215.255.2541.215.255.255524,286
601.216.0.0/131.216.0.1 to 1.223.255.2541.223.255.255524,286
611.224.0.0/131.224.0.1 to 1.231.255.2541.231.255.255524,286
621.232.0.0/131.232.0.1 to 1.239.255.2541.239.255.255524,286
631.240.0.0/131.240.0.1 to 1.247.255.2541.247.255.255524,286
641.248.0.0/131.248.0.1 to 1.255.255.2541.255.255.255524,286
652.0.0.0/132.0.0.1 to 2.7.255.2542.7.255.255524,286
662.8.0.0/132.8.0.1 to 2.15.255.2542.15.255.255524,286
672.16.0.0/132.16.0.1 to 2.23.255.2542.23.255.255524,286
682.24.0.0/132.24.0.1 to 2.31.255.2542.31.255.255524,286
692.32.0.0/132.32.0.1 to 2.39.255.2542.39.255.255524,286
702.40.0.0/132.40.0.1 to 2.47.255.2542.47.255.255524,286
712.48.0.0/132.48.0.1 to 2.55.255.2542.55.255.255524,286
722.56.0.0/132.56.0.1 to 2.63.255.2542.63.255.255524,286
732.64.0.0/132.64.0.1 to 2.71.255.2542.71.255.255524,286
742.72.0.0/132.72.0.1 to 2.79.255.2542.79.255.255524,286
752.80.0.0/132.80.0.1 to 2.87.255.2542.87.255.255524,286
762.88.0.0/132.88.0.1 to 2.95.255.2542.95.255.255524,286
772.96.0.0/132.96.0.1 to 2.103.255.2542.103.255.255524,286
782.104.0.0/132.104.0.1 to 2.111.255.2542.111.255.255524,286
792.112.0.0/132.112.0.1 to 2.119.255.2542.119.255.255524,286
802.120.0.0/132.120.0.1 to 2.127.255.2542.127.255.255524,286
812.128.0.0/132.128.0.1 to 2.135.255.2542.135.255.255524,286
822.136.0.0/132.136.0.1 to 2.143.255.2542.143.255.255524,286
832.144.0.0/132.144.0.1 to 2.151.255.2542.151.255.255524,286
842.152.0.0/132.152.0.1 to 2.159.255.2542.159.255.255524,286
852.160.0.0/132.160.0.1 to 2.167.255.2542.167.255.255524,286
862.168.0.0/132.168.0.1 to 2.175.255.2542.175.255.255524,286
872.176.0.0/132.176.0.1 to 2.183.255.2542.183.255.255524,286
882.184.0.0/132.184.0.1 to 2.191.255.2542.191.255.255524,286
892.192.0.0/132.192.0.1 to 2.199.255.2542.199.255.255524,286
902.200.0.0/132.200.0.1 to 2.207.255.2542.207.255.255524,286
912.208.0.0/132.208.0.1 to 2.215.255.2542.215.255.255524,286
922.216.0.0/132.216.0.1 to 2.223.255.2542.223.255.255524,286
932.224.0.0/132.224.0.1 to 2.231.255.2542.231.255.255524,286
942.232.0.0/132.232.0.1 to 2.239.255.2542.239.255.255524,286
952.240.0.0/132.240.0.1 to 2.247.255.2542.247.255.255524,286
962.248.0.0/132.248.0.1 to 2.255.255.2542.255.255.255524,286
973.0.0.0/133.0.0.1 to 3.7.255.2543.7.255.255524,286
983.8.0.0/133.8.0.1 to 3.15.255.2543.15.255.255524,286
993.16.0.0/133.16.0.1 to 3.23.255.2543.23.255.255524,286
1003.24.0.0/133.24.0.1 to 3.31.255.2543.31.255.255524,286
1013.32.0.0/133.32.0.1 to 3.39.255.2543.39.255.255524,286
1023.40.0.0/133.40.0.1 to 3.47.255.2543.47.255.255524,286
1033.48.0.0/133.48.0.1 to 3.55.255.2543.55.255.255524,286
1043.56.0.0/133.56.0.1 to 3.63.255.2543.63.255.255524,286
1053.64.0.0/133.64.0.1 to 3.71.255.2543.71.255.255524,286
1063.72.0.0/133.72.0.1 to 3.79.255.2543.79.255.255524,286
1073.80.0.0/133.80.0.1 to 3.87.255.2543.87.255.255524,286
1083.88.0.0/133.88.0.1 to 3.95.255.2543.95.255.255524,286
1093.96.0.0/133.96.0.1 to 3.103.255.2543.103.255.255524,286
1103.104.0.0/133.104.0.1 to 3.111.255.2543.111.255.255524,286
1113.112.0.0/133.112.0.1 to 3.119.255.2543.119.255.255524,286
1123.120.0.0/133.120.0.1 to 3.127.255.2543.127.255.255524,286
1133.128.0.0/133.128.0.1 to 3.135.255.2543.135.255.255524,286
1143.136.0.0/133.136.0.1 to 3.143.255.2543.143.255.255524,286
1153.144.0.0/133.144.0.1 to 3.151.255.2543.151.255.255524,286
1163.152.0.0/133.152.0.1 to 3.159.255.2543.159.255.255524,286
1173.160.0.0/133.160.0.1 to 3.167.255.2543.167.255.255524,286
1183.168.0.0/133.168.0.1 to 3.175.255.2543.175.255.255524,286
1193.176.0.0/133.176.0.1 to 3.183.255.2543.183.255.255524,286
1203.184.0.0/133.184.0.1 to 3.191.255.2543.191.255.255524,286
1213.192.0.0/133.192.0.1 to 3.199.255.2543.199.255.255524,286
1223.200.0.0/133.200.0.1 to 3.207.255.2543.207.255.255524,286
1233.208.0.0/133.208.0.1 to 3.215.255.2543.215.255.255524,286
1243.216.0.0/133.216.0.1 to 3.223.255.2543.223.255.255524,286
1253.224.0.0/133.224.0.1 to 3.231.255.2543.231.255.255524,286
1263.232.0.0/133.232.0.1 to 3.239.255.2543.239.255.255524,286
1273.240.0.0/133.240.0.1 to 3.247.255.2543.247.255.255524,286
1283.248.0.0/133.248.0.1 to 3.255.255.2543.255.255.255524,286
1294.0.0.0/134.0.0.1 to 4.7.255.2544.7.255.255524,286
1304.8.0.0/134.8.0.1 to 4.15.255.2544.15.255.255524,286
1314.16.0.0/134.16.0.1 to 4.23.255.2544.23.255.255524,286
1324.24.0.0/134.24.0.1 to 4.31.255.2544.31.255.255524,286
1334.32.0.0/134.32.0.1 to 4.39.255.2544.39.255.255524,286
1344.40.0.0/134.40.0.1 to 4.47.255.2544.47.255.255524,286
1354.48.0.0/134.48.0.1 to 4.55.255.2544.55.255.255524,286
1364.56.0.0/134.56.0.1 to 4.63.255.2544.63.255.255524,286
1374.64.0.0/134.64.0.1 to 4.71.255.2544.71.255.255524,286
1384.72.0.0/134.72.0.1 to 4.79.255.2544.79.255.255524,286
1394.80.0.0/134.80.0.1 to 4.87.255.2544.87.255.255524,286
1404.88.0.0/134.88.0.1 to 4.95.255.2544.95.255.255524,286
1414.96.0.0/134.96.0.1 to 4.103.255.2544.103.255.255524,286
1424.104.0.0/134.104.0.1 to 4.111.255.2544.111.255.255524,286
1434.112.0.0/134.112.0.1 to 4.119.255.2544.119.255.255524,286
1444.120.0.0/134.120.0.1 to 4.127.255.2544.127.255.255524,286
1454.128.0.0/134.128.0.1 to 4.135.255.2544.135.255.255524,286
1464.136.0.0/134.136.0.1 to 4.143.255.2544.143.255.255524,286
1474.144.0.0/134.144.0.1 to 4.151.255.2544.151.255.255524,286
1484.152.0.0/134.152.0.1 to 4.159.255.2544.159.255.255524,286
1494.160.0.0/134.160.0.1 to 4.167.255.2544.167.255.255524,286
1504.168.0.0/134.168.0.1 to 4.175.255.2544.175.255.255524,286
1514.176.0.0/134.176.0.1 to 4.183.255.2544.183.255.255524,286
1524.184.0.0/134.184.0.1 to 4.191.255.2544.191.255.255524,286
1534.192.0.0/134.192.0.1 to 4.199.255.2544.199.255.255524,286
1544.200.0.0/134.200.0.1 to 4.207.255.2544.207.255.255524,286
1554.208.0.0/134.208.0.1 to 4.215.255.2544.215.255.255524,286
1564.216.0.0/134.216.0.1 to 4.223.255.2544.223.255.255524,286
1574.224.0.0/134.224.0.1 to 4.231.255.2544.231.255.255524,286
1584.232.0.0/134.232.0.1 to 4.239.255.2544.239.255.255524,286
1594.240.0.0/134.240.0.1 to 4.247.255.2544.247.255.255524,286
1604.248.0.0/134.248.0.1 to 4.255.255.2544.255.255.255524,286
1615.0.0.0/135.0.0.1 to 5.7.255.2545.7.255.255524,286
1625.8.0.0/135.8.0.1 to 5.15.255.2545.15.255.255524,286
1635.16.0.0/135.16.0.1 to 5.23.255.2545.23.255.255524,286
1645.24.0.0/135.24.0.1 to 5.31.255.2545.31.255.255524,286
1655.32.0.0/135.32.0.1 to 5.39.255.2545.39.255.255524,286
1665.40.0.0/135.40.0.1 to 5.47.255.2545.47.255.255524,286
1675.48.0.0/135.48.0.1 to 5.55.255.2545.55.255.255524,286
1685.56.0.0/135.56.0.1 to 5.63.255.2545.63.255.255524,286
1695.64.0.0/135.64.0.1 to 5.71.255.2545.71.255.255524,286
1705.72.0.0/135.72.0.1 to 5.79.255.2545.79.255.255524,286
1715.80.0.0/135.80.0.1 to 5.87.255.2545.87.255.255524,286
1725.88.0.0/135.88.0.1 to 5.95.255.2545.95.255.255524,286
1735.96.0.0/135.96.0.1 to 5.103.255.2545.103.255.255524,286
1745.104.0.0/135.104.0.1 to 5.111.255.2545.111.255.255524,286
1755.112.0.0/135.112.0.1 to 5.119.255.2545.119.255.255524,286
1765.120.0.0/135.120.0.1 to 5.127.255.2545.127.255.255524,286
1775.128.0.0/135.128.0.1 to 5.135.255.2545.135.255.255524,286
1785.136.0.0/135.136.0.1 to 5.143.255.2545.143.255.255524,286
1795.144.0.0/135.144.0.1 to 5.151.255.2545.151.255.255524,286
1805.152.0.0/135.152.0.1 to 5.159.255.2545.159.255.255524,286
1815.160.0.0/135.160.0.1 to 5.167.255.2545.167.255.255524,286
1825.168.0.0/135.168.0.1 to 5.175.255.2545.175.255.255524,286
1835.176.0.0/135.176.0.1 to 5.183.255.2545.183.255.255524,286
1845.184.0.0/135.184.0.1 to 5.191.255.2545.191.255.255524,286
1855.192.0.0/135.192.0.1 to 5.199.255.2545.199.255.255524,286
1865.200.0.0/135.200.0.1 to 5.207.255.2545.207.255.255524,286
1875.208.0.0/135.208.0.1 to 5.215.255.2545.215.255.255524,286
1885.216.0.0/135.216.0.1 to 5.223.255.2545.223.255.255524,286
1895.224.0.0/135.224.0.1 to 5.231.255.2545.231.255.255524,286
1905.232.0.0/135.232.0.1 to 5.239.255.2545.239.255.255524,286
1915.240.0.0/135.240.0.1 to 5.247.255.2545.247.255.255524,286
1925.248.0.0/135.248.0.1 to 5.255.255.2545.255.255.255524,286
1936.0.0.0/136.0.0.1 to 6.7.255.2546.7.255.255524,286
1946.8.0.0/136.8.0.1 to 6.15.255.2546.15.255.255524,286
1956.16.0.0/136.16.0.1 to 6.23.255.2546.23.255.255524,286
1966.24.0.0/136.24.0.1 to 6.31.255.2546.31.255.255524,286
1976.32.0.0/136.32.0.1 to 6.39.255.2546.39.255.255524,286
1986.40.0.0/136.40.0.1 to 6.47.255.2546.47.255.255524,286
1996.48.0.0/136.48.0.1 to 6.55.255.2546.55.255.255524,286
2006.56.0.0/136.56.0.1 to 6.63.255.2546.63.255.255524,286
2016.64.0.0/136.64.0.1 to 6.71.255.2546.71.255.255524,286
2026.72.0.0/136.72.0.1 to 6.79.255.2546.79.255.255524,286
2036.80.0.0/136.80.0.1 to 6.87.255.2546.87.255.255524,286
2046.88.0.0/136.88.0.1 to 6.95.255.2546.95.255.255524,286
2056.96.0.0/136.96.0.1 to 6.103.255.2546.103.255.255524,286
2066.104.0.0/136.104.0.1 to 6.111.255.2546.111.255.255524,286
2076.112.0.0/136.112.0.1 to 6.119.255.2546.119.255.255524,286
2086.120.0.0/136.120.0.1 to 6.127.255.2546.127.255.255524,286
2096.128.0.0/136.128.0.1 to 6.135.255.2546.135.255.255524,286
2106.136.0.0/136.136.0.1 to 6.143.255.2546.143.255.255524,286
2116.144.0.0/136.144.0.1 to 6.151.255.2546.151.255.255524,286
2126.152.0.0/136.152.0.1 to 6.159.255.2546.159.255.255524,286
2136.160.0.0/136.160.0.1 to 6.167.255.2546.167.255.255524,286
2146.168.0.0/136.168.0.1 to 6.175.255.2546.175.255.255524,286
2156.176.0.0/136.176.0.1 to 6.183.255.2546.183.255.255524,286
2166.184.0.0/136.184.0.1 to 6.191.255.2546.191.255.255524,286
2176.192.0.0/136.192.0.1 to 6.199.255.2546.199.255.255524,286
2186.200.0.0/136.200.0.1 to 6.207.255.2546.207.255.255524,286
2196.208.0.0/136.208.0.1 to 6.215.255.2546.215.255.255524,286
2206.216.0.0/136.216.0.1 to 6.223.255.2546.223.255.255524,286
2216.224.0.0/136.224.0.1 to 6.231.255.2546.231.255.255524,286
2226.232.0.0/136.232.0.1 to 6.239.255.2546.239.255.255524,286
2236.240.0.0/136.240.0.1 to 6.247.255.2546.247.255.255524,286
2246.248.0.0/136.248.0.1 to 6.255.255.2546.255.255.255524,286
2257.0.0.0/137.0.0.1 to 7.7.255.2547.7.255.255524,286
2267.8.0.0/137.8.0.1 to 7.15.255.2547.15.255.255524,286
2277.16.0.0/137.16.0.1 to 7.23.255.2547.23.255.255524,286
2287.24.0.0/137.24.0.1 to 7.31.255.2547.31.255.255524,286
2297.32.0.0/137.32.0.1 to 7.39.255.2547.39.255.255524,286
2307.40.0.0/137.40.0.1 to 7.47.255.2547.47.255.255524,286
2317.48.0.0/137.48.0.1 to 7.55.255.2547.55.255.255524,286
2327.56.0.0/137.56.0.1 to 7.63.255.2547.63.255.255524,286
2337.64.0.0/137.64.0.1 to 7.71.255.2547.71.255.255524,286
2347.72.0.0/137.72.0.1 to 7.79.255.2547.79.255.255524,286
2357.80.0.0/137.80.0.1 to 7.87.255.2547.87.255.255524,286
2367.88.0.0/137.88.0.1 to 7.95.255.2547.95.255.255524,286
2377.96.0.0/137.96.0.1 to 7.103.255.2547.103.255.255524,286
2387.104.0.0/137.104.0.1 to 7.111.255.2547.111.255.255524,286
2397.112.0.0/137.112.0.1 to 7.119.255.2547.119.255.255524,286
2407.120.0.0/137.120.0.1 to 7.127.255.2547.127.255.255524,286
2417.128.0.0/137.128.0.1 to 7.135.255.2547.135.255.255524,286
2427.136.0.0/137.136.0.1 to 7.143.255.2547.143.255.255524,286
2437.144.0.0/137.144.0.1 to 7.151.255.2547.151.255.255524,286
2447.152.0.0/137.152.0.1 to 7.159.255.2547.159.255.255524,286
2457.160.0.0/137.160.0.1 to 7.167.255.2547.167.255.255524,286
2467.168.0.0/137.168.0.1 to 7.175.255.2547.175.255.255524,286
2477.176.0.0/137.176.0.1 to 7.183.255.2547.183.255.255524,286
2487.184.0.0/137.184.0.1 to 7.191.255.2547.191.255.255524,286
2497.192.0.0/137.192.0.1 to 7.199.255.2547.199.255.255524,286
2507.200.0.0/137.200.0.1 to 7.207.255.2547.207.255.255524,286
2517.208.0.0/137.208.0.1 to 7.215.255.2547.215.255.255524,286
2527.216.0.0/137.216.0.1 to 7.223.255.2547.223.255.255524,286
2537.224.0.0/137.224.0.1 to 7.231.255.2547.231.255.255524,286
2547.232.0.0/137.232.0.1 to 7.239.255.2547.239.255.255524,286
2557.240.0.0/137.240.0.1 to 7.247.255.2547.247.255.255524,286
2567.248.0.0/137.248.0.1 to 7.255.255.2547.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses